%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-pgsql
Version:        0.9.7
Release:        3%{?dist}
Summary:        Enhanced python interface to PostgreSQL

Group:          Development/Languages
License:        Python
URL:            http://pypi.python.org/pypi/python-pgsql/
Source0:        http://pypi.python.org/packages/source/p/python-pgsql/python-pgsql-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, postgresql-devel

%description
This is a simple PostgreSQL interface for Python which is derived
from the PyGreSQL 3.8.1 sources module. The main changes from the
PyGreSQL module are:

- support for bind parameters, alleviating the need for
  extensive, expensive and vulnerable quoting of user-supplied
  data
- support for server side cursors for looping through large query
  results without loading up the entire result set in the client's
  memory
- returned values are translated to Python objects in the C layer,
  resulting in some speed improvement
- better DB API 2.0 compliance


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYRIGHT NEWS TODO
%{python_sitearch}/*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.7-2
- Rebuild for Python 2.6

* Mon Jun 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.9.7-1
- Upstream 0.9.7
- Adjust URL and Source to the PyPi location

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.6-2
- Autorebuild for GCC 4.3

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.9.6-1
- Upstream 0.9.6
- Appease license naming gods

* Thu Jun 07 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.9.5-2
- Set license according to what rpmlint wants

* Mon Mar 12 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.9.5-1
- Upstream 0.9.5
- Drop obsolete patch

* Fri Jan 26 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.9.3-2
- Patch for python-2.3

* Fri Jan 26 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.9.3-1
- Initial packaging.
